Skip to navigation

Update a notebook entry's metadata

Beta
Update a notebook entry's metadata

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entry_idstringRequired
ID of the entry

Query parameters

returningstringOptional

Comma-separated list of fields to return. Modifies the output shape. To return all keys at a given level, enumerate them or use the wildcard, ’*’. For more information, click here.

Note: “days.notes” cannot be introspected with the returning parameter, and any sub fields will be ignored. E.g., “days.notes.text” will return the same model as “days.notes”.

Request

This endpoint expects an object.
authorIdsstringOptional
IDs of users to set as the entry's authors.
customFieldsmap from strings to objectsOptional
Custom fields to add to the entry
fieldsmap from strings to objectsOptional
Schema fields to set on the entry
folderIdstringOptional
ID of the folder that will contain the entry
namestringOptional
New name of the entry
schemaIdstringOptional
ID of the schema for the entry

Response

OK
apiURLstringOptionalRead-onlyformat: "uri"
The canonical url of the Entry in the API.
archiveRecordobject or nullOptional
ArchiveRecord Resource if the entry is archived. This is null if the entry is not archived.
assignedReviewerslist of objectsOptional
Array of users assigned to review the entry, if any.
authorslist of objectsOptional
Array of UserSummary Resources of the authors of the entry. This defaults to the creator but can be manually changed.
createdAtdatetimeOptionalRead-only
DateTime the entry was created at
creatorobjectOptional
UserSummary Resource of the user who created the entry
customFieldsmap from strings to objectsOptional
dayslist of objectsOptional

Array of day objects. Each day object has a date field (string) and notes field (array of notes, expand further for details on note types).

displayIdstringOptional

User-friendly ID of the entry

entryTemplateIdstring or nullOptional
ID of the Entry Template this Entry was created from
fieldsmap from strings to objectsOptional
folderIdstringOptional
ID of the folder that contains the entry
idstringOptional
ID of the entry
modifiedAtstringOptional
DateTime the entry was last modified
namestringOptional
Title of the entry
reviewRecordobject or nullOptional
Review record if set
schemaobject or nullOptional
Entry schema if set
webURLstringOptional
URL of the entry